# Interface ModelPolyline

A single polyline with vertex data and style.

interface ModelPolyline {
layerIndex: number;
style: ModelPolylineStyle;
vertexCount: number;
vertices: ModelPolylineVertices;
}

##### Index

### Properties

layerIndex
style
vertexCount
vertices

## Properties

### `Readonly` layerIndex

layerIndex: number

### `Readonly` style

style: ModelPolylineStyle

### `Readonly` vertexCount

vertexCount: number

### `Readonly` vertices

vertices: ModelPolylineVertices